Index: doc/latex/loggers_8h__dep__incl.eps
===================================================================
--- doc/latex/loggers_8h__dep__incl.eps (revision 234)
+++ doc/latex/loggers_8h__dep__incl.eps (revision 255)
@@ -180,17 +180,182 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 1414 124
+%%PageBoundingBox: 36 36 1642 182
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 1378 88 boxprim clip newpath
+36 36 1606 146 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
+newpath 700 116 moveto
+700 137 lineto
+879 137 lineto
+879 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 700 116 moveto
+700 137 lineto
+879 137 lineto
+879 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+707.5 123.5 moveto 163 (work/git/mixpp/bdm/stat/loggers.h) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 0 59 192 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($loggers__ui_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 58 moveto
+0 79 lineto
+192 79 lineto
+192 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 58 moveto
+0 79 lineto
+192 79 lineto
+192 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+8 65.5 moveto 176 (work/git/mixpp/bdm/stat/loggers_ui.h) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 690 120 moveto
+572 111 373 96 201 80 curveto
+198 80 195 79 192 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 689.7 123.49 moveto
+700 121 lineto
+690.4 116.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 689.7 123.49 moveto
+700 121 lineto
+690.4 116.52 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 210 59 372 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($k1_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 210 58 moveto
+210 79 lineto
+372 79 lineto
+372 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 210 58 moveto
+210 79 lineto
+372 79 lineto
+372 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+218 65.5 moveto 146 (work/git/mixpp/doprava/k1.cpp) alignedtext
+grestore
+% Node1->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 690 116 moveto
+607 106 487 92 381 80 curveto
+378 80 375 79 372 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 689.7 119.49 moveto
+700 117 lineto
+690.4 112.52 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 689.7 119.49 moveto
+700 117 lineto
+690.4 112.52 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 390 59 576 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($mpf__load_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 390 58 moveto
+390 79 lineto
+576 79 lineto
+576 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 390 58 moveto
+390 79 lineto
+576 79 lineto
+576 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+398 65.5 moveto 170 (work/git/mixpp/pmsm/mpf_load.cpp) alignedtext
+grestore
+% Node1->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 721 114 moveto
+665 103 587 88 536 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 720.51 117.47 moveto
+731 116 lineto
+721.88 110.61 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 720.51 117.47 moveto
+731 116 lineto
+721.88 110.61 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 594 59 778 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($mpf__test_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
 newpath 594 58 moveto
 594 79 lineto
-773 79 lineto
-773 58 lineto
+779 79 lineto
+779 58 lineto
 closepath fill
 1 setlinewidth
@@ -199,153 +364,35 @@
 newpath 594 58 moveto
 594 79 lineto
-773 79 lineto
-773 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-601.5 65.5 moveto 163 (work/git/mixpp/bdm/stat/loggers.h) alignedtext
-grestore
-% Node2
-gsave
-[ /Rect [ 0 1 162 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($k1_8cpp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 0 0 moveto
-0 21 lineto
-162 21 lineto
-162 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 0 moveto
-0 21 lineto
-162 21 lineto
-162 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-8 7.5 moveto 146 (work/git/mixpp/doprava/k1.cpp) alignedtext
-grestore
-% Node1->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 584 61 moveto
-481 52 315 37 171 22 curveto
-168 22 165 21 162 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 583.7 64.49 moveto
-594 62 lineto
-584.4 57.52 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 583.7 64.49 moveto
-594 62 lineto
-584.4 57.52 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 180 1 366 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($mpf__load_8cpp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 180 0 moveto
-180 21 lineto
-366 21 lineto
-366 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 180 0 moveto
-180 21 lineto
-366 21 lineto
-366 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-188 7.5 moveto 170 (work/git/mixpp/pmsm/mpf_load.cpp) alignedtext
-grestore
-% Node1->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 595 56 moveto
-520 46 414 31 344 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 594.51 59.47 moveto
-605 58 lineto
-595.88 52.61 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 594.51 59.47 moveto
-605 58 lineto
-595.88 52.61 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 384 1 568 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($mpf__test_8cpp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 384 0 moveto
-384 21 lineto
-569 21 lineto
-569 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 384 0 moveto
-384 21 lineto
-569 21 lineto
-569 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-391.5 7.5 moveto 169 (work/git/mixpp/pmsm/mpf_test.cpp) alignedtext
-grestore
-% Node1->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 634 55 moveto
-597 44 546 30 512 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 633.42 58.48 moveto
-644 58 lineto
-635.43 51.77 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 633.42 58.48 moveto
-644 58 lineto
-635.43 51.77 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 586 1 780 21 ]
+779 79 lineto
+779 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+601.5 65.5 moveto 169 (work/git/mixpp/pmsm/mpf_test.cpp) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 760 111 moveto
+742 100 719 88 704 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 758.56 114.2 moveto
+769 116 lineto
+761.96 108.08 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 758.56 114.2 moveto
+769 116 lineto
+761.96 108.08 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 796 59 990 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($pmsm__mix_8cpp.html) >>
@@ -353,45 +400,184 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 586 0 moveto
-586 21 lineto
-781 21 lineto
-781 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 586 0 moveto
-586 21 lineto
-781 21 lineto
-781 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-593.5 7.5 moveto 179 (work/git/mixpp/pmsm/pmsm_mix.cpp) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 683 48 moveto
-683 38 683 28 683 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 679.5 48 moveto
-683 58 lineto
-686.5 48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 679.5 48 moveto
-683 58 lineto
-686.5 48 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 798 1 956 21 ]
+newpath 796 58 moveto
+796 79 lineto
+991 79 lineto
+991 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 796 58 moveto
+796 79 lineto
+991 79 lineto
+991 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+803.5 65.5 moveto 179 (work/git/mixpp/pmsm/pmsm_mix.cpp) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 818 111 moveto
+836 101 860 88 875 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 816.04 108.08 moveto
+809 116 lineto
+819.44 114.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 816.04 108.08 moveto
+809 116 lineto
+819.44 114.2 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 1008 59 1184 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($pmsmDS_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1008 58 moveto
+1008 79 lineto
+1184 79 lineto
+1184 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1008 58 moveto
+1008 79 lineto
+1184 79 lineto
+1184 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1016 65.5 moveto 160 (work/git/mixpp/pmsm/pmsmDS.h) alignedtext
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 857 114 moveto
+914 103 992 88 1043 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 856.12 110.61 moveto
+847 116 lineto
+857.49 117.47 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 856.12 110.61 moveto
+847 116 lineto
+857.49 117.47 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 1202 59 1380 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1202 58 moveto
+1202 79 lineto
+1381 79 lineto
+1381 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1202 58 moveto
+1202 79 lineto
+1381 79 lineto
+1381 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1209.5 65.5 moveto 163 (work/git/mixpp/pmsm/sim_var.cpp) alignedtext
+grestore
+% Node1->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 889 116 moveto
+981 105 1117 90 1205 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 888.6 112.52 moveto
+879 117 lineto
+889.3 119.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 888.6 112.52 moveto
+879 117 lineto
+889.3 119.49 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 1398 59 1598 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim__var__arx_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1398 58 moveto
+1398 79 lineto
+1598 79 lineto
+1598 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1398 58 moveto
+1398 79 lineto
+1598 79 lineto
+1598 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1406 65.5 moveto 184 (work/git/mixpp/pmsm/sim_var_arx.cpp) alignedtext
+grestore
+% Node1->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 889 119 moveto
+1008 111 1213 96 1389 80 curveto
+1392 80 1395 79 1398 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 888.6 115.52 moveto
+879 120 lineto
+889.3 122.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 888.6 115.52 moveto
+879 120 lineto
+889.3 122.49 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 1017 1 1175 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($sim_8cpp.html) >>
@@ -399,133 +585,40 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 798 0 moveto
-798 21 lineto
-957 21 lineto
-957 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 798 0 moveto
-798 21 lineto
-957 21 lineto
-957 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-805.5 7.5 moveto 143 (work/git/mixpp/pmsm/sim.cpp) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 730 55 moveto
-765 44 812 30 843 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 728.57 51.77 moveto
-720 58 lineto
-730.58 58.48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 728.57 51.77 moveto
-720 58 lineto
-730.58 58.48 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 974 1 1152 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 974 0 moveto
-974 21 lineto
-1153 21 lineto
-1153 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 974 0 moveto
-974 21 lineto
-1153 21 lineto
-1153 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-981.5 7.5 moveto 163 (work/git/mixpp/pmsm/sim_var.cpp) alignedtext
-grestore
-% Node1->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 765 56 moveto
-835 46 933 31 997 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 764.12 52.61 moveto
-755 58 lineto
-765.49 59.47 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 764.12 52.61 moveto
-755 58 lineto
-765.49 59.47 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 1170 1 1370 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($sim__var__arx_8cpp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 1170 0 moveto
-1170 21 lineto
-1370 21 lineto
-1370 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 1170 0 moveto
-1170 21 lineto
-1370 21 lineto
-1370 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-1178 7.5 moveto 184 (work/git/mixpp/pmsm/sim_var_arx.cpp) alignedtext
-grestore
-% Node1->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 783 59 moveto
-880 50 1031 35 1161 22 curveto
-1164 22 1167 21 1170 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 782.6 55.52 moveto
-773 60 lineto
-783.3 62.49 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 782.6 55.52 moveto
-773 60 lineto
-783.3 62.49 lineto
+newpath 1017 0 moveto
+1017 21 lineto
+1176 21 lineto
+1176 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1017 0 moveto
+1017 21 lineto
+1176 21 lineto
+1176 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+1024.5 7.5 moveto 143 (work/git/mixpp/pmsm/sim.cpp) alignedtext
+grestore
+% Node7->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1096 48 moveto
+1096 38 1096 28 1096 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 1092.5 48 moveto
+1096 58 lineto
+1099.5 48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 1092.5 48 moveto
+1096 58 lineto
+1099.5 48 lineto
 closepath stroke
 grestore
@@ -537,5 +630,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 1414 124
+%%BoundingBox: 36 36 1642 182
 end
 restore
